hpp-corbaserver: hpp::core_impl::ConfigProjectorServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::ConfigProjectorServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/_constraints-fwd.hh>`

Inheritance diagram for hpp::core_impl::ConfigProjectorServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::ConfigProjectorServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core_impl::ConstraintServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::core_impl::ConstraintServant< _Base, _Storage >
typedef hpp::core::Constraint | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::ConfigProjector, HppBase)
| ConfigProjectorServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ConfigProjectorServant ()
void | setRightHandSideFromConfig (const hpp::floatSeq &config)
void | setRightHandSideOfConstraintFromConfig (hpp::constraints_idl::Implicit_ptr nm, const hpp::floatSeq &config)
void | setRightHandSide (const hpp::floatSeq &param)
void | setRightHandSideOfConstraint (hpp::constraints_idl::Implicit_ptr nm, const hpp::floatSeq &rhs)
hpp::floatSeq * | getRightHandSide ()
void | setRightHandSideAt (hpp::value_type s)
::CORBA::Boolean | isConstraintSatisfied (hpp::constraints_idl::Implicit_ptr nm, const hpp::floatSeq &arg, hpp::floatSeq_out err, ::CORBA::Boolean &constraintFound)
hpp::constraints_idl::Implicits * | numericalConstraints ()
::CORBA::Boolean | add (hpp::constraints_idl::Implicit_ptr numconstraint, ::CORBA::ULong priority)
void | setLastIsOptional (::CORBA::Boolean optional)
::CORBA::Boolean | getLastIsOptional ()
void | setErrorThreshold (hpp::value_type threshold)
hpp::value_type | getErrorThreshold ()
Public Member Functions inherited from hpp::core_impl::ConstraintServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::Constraint, HppBase)
| ConstraintServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~ConstraintServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | apply (hpp::floatSeq &config)
char * | name ()
char * | str ()
::CORBA::Boolean | isSatisfied (const hpp::floatSeq &config)
hpp::core_idl::Constraint_ptr | copy ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::Constraint, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core_impl::ConstraintServant<_Base, _Storage>::HppBase hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ ConfigProjectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::ConfigProjectorServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~ConfigProjectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::~ConfigProjectorServant
| virtual

## Member Function Documentation

## ◆ add()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::add | ( | hpp::constraints_idl::Implicit_ptr | numconstraint,
|  | ::CORBA::ULong | priority
| ) |  |

## ◆ getErrorThreshold()

template<typename _Base , typename _Storage >

hpp::value_type hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::getErrorThreshold

## ◆ getLastIsOptional()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::getLastIsOptional

## ◆ getRightHandSide()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::getRightHandSide

## ◆ isConstraintSatisfied()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::isConstraintSatisfied | ( | hpp::constraints_idl::Implicit_ptr | nm,
|  | const hpp::floatSeq & | arg,
|  | hpp::floatSeq_out | err,
|  | ::CORBA::Boolean & | constraintFound
| ) |  |

## ◆ numericalConstraints()

template<typename _Base , typename _Storage >

hpp::constraints_idl::Implicits * hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::numericalConstraints

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::ConfigProjector | ,
|  | HppBase |
| ) |  |

## ◆ setErrorThreshold()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setErrorThreshold | ( | hpp::value_type | threshold | ) |

## ◆ setLastIsOptional()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setLastIsOptional | ( | ::CORBA::Boolean | optional | ) |

## ◆ setRightHandSide()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setRightHandSide | ( | const hpp::floatSeq & | param | ) |

## ◆ setRightHandSideAt()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setRightHandSideAt | ( | hpp::value_type | s | ) |

## ◆ setRightHandSideFromConfig()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setRightHandSideFromConfig | ( | const hpp::floatSeq & | config | ) |

## ◆ setRightHandSideOfConstraint()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setRightHandSideOfConstraint | ( | hpp::constraints_idl::Implicit_ptr | nm,
|  | const hpp::floatSeq & | rhs
| ) |  |

## ◆ setRightHandSideOfConstraintFromConfig()

template<typename _Base , typename _Storage >

void hpp::core_impl::ConfigProjectorServant< _Base, _Storage >::setRightHandSideOfConstraintFromConfig | ( | hpp::constraints_idl::Implicit_ptr | nm,
|  | const hpp::floatSeq & | config
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/_constraints-fwd.hh
- src/hpp/core_idl/_constraints.hh